[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TCustomDBListBox.UpdateData

UpdateData - method for applying any pending changes to the data.

## Declaration

Source position: dbctrls.pp line 370

`protected procedure TCustomDBListBox.UpdateData(`
`Sender: TObject`
`); virtual; abstract;`

## Arguments

`Sender` |  | Object for the event notification.

## Description

UpdateData is a virtual abstract method in TCustomDBListBox, and must be implemented in a descendent class (such as TDBListBox or TDBLookupListBox) to perform the actions needed to update a linked dataset using the current selection in the control.

UpdateData is assigned to the OnUpdateData event handler in the TFieldDataLink instance for data-aware controls.

## See also

TFieldDataLink.OnUpdateData |  | OnUpdateData - event handler for updating any pending changes in the data.
TDBListBox.UpdateData |  | Performs actions needed to update the linked dataset when the value for the control has changed.
TDBLookupListBox.UpdateData |  | Updates the data in the lookup dataset for the control.